## calligra 2.9.7

=== CMakeLists.txt ===
project(calligra)

cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

cmake_policy(SET CMP0002 OLD)
#cmake_policy CMP0017 was introduced in version 2.8.4
if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
    cmake_policy(SET CMP0017 NEW)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 2.8.12)
    cmake_policy(SET CMP0022 OLD)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 3.0.0)
    cmake_policy(SET CMP0026 OLD) 
    cmake_policy(SET CMP0046 OLD)
endif()



 ######################
#######################
## Constants defines ##
#######################
######################

# define common versions of Calligra applications, used to generate calligraversion.h
# update these version for every release:
set(CALLIGRA_VERSION_STRING "2.9.7")
set(CALLIGRA_VERSION_MAJOR 2)
set(CALLIGRA_STABLE_VERSION_MINOR 9)
set(CALLIGRA_VERSION_RELEASE 7)  # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
#set(CALLIGRA_ALPHA 1) # uncomment only for Alpha
#set(CALLIGRA_BETA 1) # uncomment only for Beta
#set(CALLIGRA_RC 1) # uncomment only for RC
set(CALLIGRA_YEAR 2015) # update every year

if(NOT DEFINED CALLIGRA_ALPHA AND NOT DEFINED CALLIGRA_BETA AND NOT DEFINED CALLIGRA_RC)
    set(CALLIGRA_STABLE 1) # do not edit
endif()

message(STATUS "Calligra version: ${CALLIGRA_VERSION_STRING}")

# define the generic version of the Calligra libraries here
# this makes it easy to advance it when the next Calligra release comes
if(CALLIGRA_VERSION_MAJOR EQUAL 2)
    math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${CALLIGRA_STABLE_VERSION_MINOR} + 5")
else()
    # let's make sure we won't forget to update the "5"
    message(FATAL_ERROR "Reminder: please update offset == 5 used to compute GENERIC_CALLIGRA_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_CALLIGRA_LIB_VERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_CALLIGRA_LIB_SOVERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# fetch git revision for the current build

set(CALLIGRA_GIT_SHA1_STRING "")
set(CALLIGRA_GIT_BRANCH_STRING "")

include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
get_git_branch(GIT_BRANCH)

if(GIT_SHA1 AND GIT_BRANCH)
    string(SUBSTRING ${GIT_SHA1} 0 7 GIT_SHA1)
    set(CALLIGRA_GIT_SHA1_STRING ${GIT_SHA1})
    set(CALLIGRA_GIT_BRANCH_STRING ${GIT_BRANCH})
endif()

if(NOT DEFINED RELEASE_BUILD)
    # estimate mode by CMAKE_BUILD_TYPE content if not set on cmdline
    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
    set(RELEASE_BUILD_TYPES "release" "relwithdebinfo" "minsizerel")
    list(FIND RELEASE_BUILD_TYPES "${CMAKE_BUILD_TYPE_TOLOWER}" INDEX)
    if (INDEX EQUAL -1)
        set(RELEASE_BUILD FALSE)
    else()
        set(RELEASE_BUILD TRUE)
    endif()
endif()
message(STATUS "Release build: ${RELEASE_BUILD}")

 ############
#############
## Options ##
#############
############

option(USEOPENGL "Allow the use of OpenGL for Krita" ON)
if (WIN32)
    option(USE_BREAKPAD "Build the crash handler for Krita (only on windows)" OFF)
endif ()
option(GHNS "support Get Hot New Stuff" OFF)
# TODO: orthogonal setting, results in minimal features, yet needs to be defined
# option(TINY "compile a tiny Calligra" OFF)

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

# TODO: remove option and migration code below before 3.0 release
option(CREATIVEONLY "compile only Karbon and Krita" OFF)

 #######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)
include(MacroJPEG)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")
# temporary migration support
if (CREATIVEONLY)
    set(WARN_ABOUT_CREATIVEONLY TRUE)
    set(PRODUCTSET_DEFAULT "CREATIVE")
endif ()

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING FALSE)
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)

find_package(Qt4 4.6.0 REQUIRED QtCore QtGui QtXml QtScript QtSvg QtTest QtWebKit QtDBus)

if (USEOPENGL)
    find_package(Qt4 4.6.0 REQUIRED QtOpenGL)
endif ()


include (KDE4Defaults)
include (MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

if ((${QTVERSION} VERSION_EQUAL 4.8.0) OR (${QTVERSION} VERSION_EQUAL 4.8.1))
    if (NOT IHAVEPATCHEDQT)
        set(SHOULD_BUILD_PART_WORDS FALSE)
        set(SHOULD_BUILD_PART_STAGE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTSHAPE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTEDITING FALSE)
        message(STATUS "WARNING: You are using a version of Qt that causes crashes. As a result Words and Stage will not be built. Please upgrade to 4.8.2. You can also patch Qt and when building Calligra set IHAVEPATCHEDQT. Patch against Qt can be found in qt48setx.patch")
    endif ()
endif ()

if (GHNS)
    if(NOT ${KDE_VERSION} VERSION_GREATER 4.4.0)
        set(GHNS FALSE)
    endif()

    macro_optional_find_package(LibAttica)
    macro_log_feature(LIBATTICA_FOUND "LibAttica" "Attica is used for Get Hot New Stuff." "https://projects.kde.org/projects/kdesupport/attica" FALSE "" "You need at least version 3.0 for uploading of resources to work.")

    if (NOT LIBATTICA_FOUND)
        set(GHNS FALSE)
    else ()
        message(STATUS "WARNING: You are compiling with Get Hot New Stuff enabled. Do not do that when building distribution packages. GHNS is unusable these days until someone starts maintaining it again.")
    endif ()
endif ()

macro_ensure_out_of_source_build("Compiling Calligra inside the source directory is not possible. Please refer to the build instruction http://community.kde.org/Calligra/Building/Building_Calligra")

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

# would need more code changes before 4.8.0, e.g. with qPrintable()
if(NOT ${QTVERSION} VERSION_LESS 4.8.0)
    # enable QStringBuilder enhancement
    add_definitions(
        -DQT_USE_FAST_CONCATENATION
        -DQT_USE_FAST_OPERATOR_PLUS
    )
endif()


 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)
if (APPLE)
    # this is not added correctly on OSX -- see http://forum.kde.org/viewtopic.php?f=139&t=101867&p=221242#p221242
    include_directories(${PNG_INCLUDE_DIR})
endif()

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED COMPONENTS system) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets and krita.")
endif ()

if (APPLE)
   find_package(Carbon REQUIRED)
endif ()

 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Test for sqlite
##
set(SQLITE_MIN_VERSION 3.6.16)
set(SQLITE_RECOMMENDED_VERSION 3.8.7)
set(SQLITE_LOAD_EXTENSION_REQUIRED ON)
macro_optional_find_package(CalligraSqlite ${SQLITE_MIN_VERSION})
macro_bool_to_01(SQLITE_FOUND HAVE_SQLITE)
macro_log_feature(SQLITE_FOUND "SQLite" "Embedded SQL database engine with enabled extensions loading"
                  "http://www.sqlite.org" FALSE "${SQLITE_MIN_VERSION}"
                  "Required by Calligra's default database handler for Kexi and bibliography in Words.")

##
## Test for ICU
##
macro_optional_find_package(ICU)
macro_bool_to_01(ICU_FOUND HAVE_ICU)
macro_log_feature(ICU_FOUND "ICU" "International Components for Unicode (ICU) Library"
                  "http://icu-project.org" FALSE ""
                  "Required by Calligra's default database handler for Kexi and Words.")

##
## Check for OpenEXR
##

macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)

##
## Look for OpenGL
##
set(HAVE_OPENGL 0)
if (USEOPENGL)
    macro_optional_find_package(OpenGL)

    if(OPENGL_FOUND)
        message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
        if(QT_QTOPENGL_FOUND)
            message(STATUS "Found Qt OpenGL support")
            set(HAVE_OPENGL 1)
        else()
            message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
        endif()
    else()
        message(STATUS "Did NOT find OpenGL libraries")
    endif()
    macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by Gemini, parts of Krita and optionally by flake")
endif()

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL)
macro_log_feature(GSL_FOUND "GSL" "GNU Scientific Library" "http://www.gnu.org/software/gsl"
                  FALSE "1.7" "Required by Krita's Transform tool and Sheets' solver plugin")
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs 4.6.0)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by Plan and the KDE address book integration (available as a module in KDE)")

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
macro_log_feature(EIGEN3_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "3.0" "Required by Calligra Sheets and Krita")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for soprano
##
macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "KDE4 RDF handling library" "http://soprano.sourceforge.net/" FALSE "" "Required to handle RDF metadata in ODF")
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()


##
## Test for marble
##
set(MARBLE_MIN_VERSION "0.19.2")
macro_optional_find_package(CalligraMarble)
if(NOT MARBLE_FOUND)
    set(CAN_USE_MARBLE FALSE)
    set(MARBLE_INCLUDE_DIR "")
else()
    set(CAN_USE_MARBLE TRUE)
    add_definitions( -DCAN_USE_MARBLE )
    ##
    ## Marble changed addMarbleWidget to setMarbleWidget in MarbleControlBox.h
    ## with commit ea177ca. This is for compatibility with older versions.

=== active/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

#cmake_policy CMP0017 was introduced in version 2.8.4
if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
    cmake_policy(SET CMP0017 NEW)
endif()

project(calligra-active)

find_package(Qt4 4.7.0 REQUIRED)
find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${QT_INCLUDES}
                    ${KDE4_INCLUDES}
                    ${KDECLARATIVE_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
    ${KORDF_INCLUDES}
    ${CMAKE_SOURCE_DIR}/words/part
    ${CMAKE_SOURCE_DIR}/sheets
    ${CMAKE_SOURCE_DIR}/libs/kopageapp
)

set (calligra-active_RCCS CalligraActive.qrc)
qt4_add_resources(calligra-active_RCC_SRCS ${calligra-active_RCCS})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/calligra_active_global.h.in ${CMAKE_CURRENT_BINARY_DIR}/calligra_active_global.h)

set(calligra-active_SRCS
    src/CACanvasItem.cpp
    src/CAImageProvider.cpp
    src/CAPresentationHandler.cpp
    src/CASpreadsheetHandler.cpp
    src/CATextDocumentHandler.cpp
    src/CAAbstractDocumentHandler.cpp
    src/CADocumentController.cpp
    src/CADocumentInfo.cpp
    src/CAPADocumentModel.cpp
    src/CATextDocumentModel.cpp
    src/CAPAView.cpp
    src/CACanvasController.cpp
    src/MainWindow.cpp
    main.cpp
    ${calligra-active_RCC_SRCS}
)

qt4_automoc(${calligra-active_SRCS})

add_executable(calligraactive ${calligra-active_SRCS})

target_link_libraries(calligraactive
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_LIBRARIES}
    ${KDECLARATIVE_LIBRARIES}
    komain
    wordsprivate
    calligrasheetscommon
    kopageapp
    calligrastageprivate
)

if( SHOULD_BUILD_FEATURE_RDF )
    target_link_libraries(calligraactive kordf)
endif()


install(TARGETS calligraactive RUNTIME DESTINATION bin)
install(FILES calligraactive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(DIRECTORY qml DESTINATION share/calligraactive)

=== braindump/CMakeLists.txt ===
project("braindump")

include_directories (${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/braindumpcore)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(braindumpcore)

=== doc/CMakeLists.txt ===
add_subdirectory(calligra)
if(SHOULD_BUILD_KEXI)
    add_subdirectory(kexi)
endif()
if(SHOULD_BUILD_STAGE)
    add_subdirectory(stage)
endif()
if(SHOULD_BUILD_SHEETS)
    add_subdirectory(sheets)
endif()
install(FILES   calligra.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== karbon/CMakeLists.txt ===
project(karbon)

#Set the correct compiler options
if(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   message(STATUS "Karbon detected that you use a 32 bit processor.")
else()
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   message(STATUS "Karbon detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
endif()

include_directories(
    ${QT_INCLUDES}
    ${KDE4_INCLUDE_DIR}
    ${FLAKE_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/libs/widgets/resources
    ${CMAKE_SOURCE_DIR}/karbon/ui
    ${CMAKE_SOURCE_DIR}/karbon/common
    ${CMAKE_SOURCE_DIR}/karbon/common/commands
)

add_subdirectory( common )
add_subdirectory( ui )
add_subdirectory( plugins )
add_subdirectory( data )
add_subdirectory( pics )
add_subdirectory( templates )

########### next target ###############

set(karbonpart_PART_SRCS KarbonFactoryInit.cpp )

kde4_add_plugin(karbonpart ${karbonpart_PART_SRCS})

target_link_libraries(karbonpart karbonui)

install(TARGETS karbonpart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

if(NOT RELEASE_BUILD)
    add_definitions(-DMAINTANER_WANTED_SPLASH)
endif()

set(karbon_KDEINIT_SRCS main.cpp )

kde4_add_app_icon( karbon_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/hi*-app-calligrakarbon.png" )
kde4_add_kdeinit_executable( karbon ${karbon_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.karbon")
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon 2")
endif ()

target_link_libraries(kdeinit_karbon karbonui)

install(TARGETS kdeinit_karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(karbon kdeinit_karbon)
install(TARGETS karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== pics/CMakeLists.txt ===
add_subdirectory( hicolor )
add_subdirectory( oxygen )

install( FILES
    dark_docker_lock_a.png
    dark_docker_lock_b.png
    dark_docker_close.png
    dark_docker_collapse_a.png
    dark_docker_collapse_b.png
    dark_docker_float.png

    light_docker_lock_a.png
    light_docker_lock_b.png
    light_docker_close.png
    light_docker_collapse_a.png
    light_docker_collapse_b.png
    light_docker_float.png

    DESTINATION ${DATA_INSTALL_DIR}/calligra/pics)

=== plan/CMakeLists.txt ===

project(kplato)

# set kplato debug area
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=42000 )

if(KDE4_BUILD_TESTS)
    # only with this definition will the KPLATO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif()

if (KDEPIMLIBS_FOUND)
    math(EXPR KDEPIMLIBS_HEXVERSION "${KDEPIMLIBS_VERSION_MAJOR}*65536 +  ${KDEPIMLIBS_VERSION_MINOR}*256  + ${KDEPIMLIBS_VERSION_PATCH}")
    add_definitions(-DPLAN_KDEPIMLIBS_FOUND -DPLAN_KDEPIMLIBS_HEXVERSION=${KDEPIMLIBS_HEXVERSION})
endif ()

if (PLANCHARTDEBUG)
    add_definitions(-DPLAN_CHART_DEBUG)
endif ()

set( KPLATO_INCLUDES
    ${CMAKE_SOURCE_DIR}/plan/libs/kernel
    ${CMAKE_SOURCE_DIR}/plan/libs/models
    ${CMAKE_BINARY_DIR}/plan/libs/models
    ${CMAKE_SOURCE_DIR}/plan/libs/ui
    ${CMAKE_BINARY_DIR}/plan/libs/ui
    ${CMAKE_BINARY_DIR}/plan

    ${KDGANTT_INCLUDES}
    ${KDCHART_INCLUDES}

    ${KOMAIN_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIR}

    ${KOREPORT_INCLUDES}
)

add_subdirectory( libs )

add_subdirectory( templates )
add_subdirectory( pics )
add_subdirectory( toolbar )
add_subdirectory( plugins )
add_subdirectory( tests )

add_subdirectory( workpackage )

include_directories(${KPLATO_INCLUDES})


########### KPlato private library ###############

set(planprivate_LIB_SRCS
    kptviewlistdocker.cpp
    kptviewlist.cpp
    kptviewlistdialog.cpp

    kptschedulesdocker.cpp

    kptconfig.cpp
    kpttaskdefaultpanel.cpp
    kptworkpackageconfigpanel.cpp
    kptcolorsconfigpanel.cpp

    kptcontext.cpp

    kptfactory.cpp
    kptpart.cpp
    kptmaindocument.cpp
    kptview.cpp
#     KPtViewAdaptor.cpp

    kptschedulerpluginloader.cpp
    kptbuiltinschedulerplugin.cpp
    kptconfigskeleton.cpp

    kptinsertfiledlg.cpp

    about/aboutpage.cpp

    KPlatoXmlLoader.cpp
)

kde4_add_ui_files(planprivate_LIB_SRCS
    kptviewlistaddview.ui
    kptviewlisteditview.ui
    kptviewlisteditcategory.ui

    kptconfigtaskpanelbase.ui
    kptworkpackageconfigpanel.ui
    kptcolorsconfigpanel.ui

    kptinsertfilepanel.ui
)

kde4_add_kcfg_files(plansettings_SRCS plansettings.kcfgc)

kde4_add_library(planprivate SHARED ${planprivate_LIB_SRCS} ${libkdgantt_SRCS} ${plansettings_SRCS} )

target_link_libraries(planprivate kplatokernel kplatomodels kplatoui ${KDE4_KHTML_LIBS} ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}  komain)

set_target_properties(planprivate PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )

install(TARGETS planprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

########### KPlato part ###############

set(planpart_PART_SRCS kptfactoryinit.cpp )

kde4_add_plugin(planpart ${planpart_PART_SRCS})

target_link_libraries(planpart ${KDE4_KPARTS_LIBS} planprivate)

install(TARGETS planpart DESTINATION ${PLUGIN_INSTALL_DIR})


########### KPlato executable ###############

if(NOT RELEASE_BUILD)
    add_definitions(-DMAINTANER_WANTED_SPLASH)
endif()

set(calligraplan_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(calligraplan_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-calligraplan.png")

kde4_add_kdeinit_executable( calligraplan ${calligraplan_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.plan")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan")
endif ()

target_link_libraries(kdeinit_calligraplan komain)

install(TARGETS kdeinit_calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(calligraplan kdeinit_calligraplan komain)
install(TARGETS calligraplan  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  planpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/calligra)
install( FILES  plan.rc plan_readonly.rc DESTINATION ${DATA_INSTALL_DIR}/plan)
install( PROGRAMS  plan.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  planrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES plansettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install( FILES  plan_viewplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES plan.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

install(FILES
    about/top-left-plan.png
    about/main.html
    about/intro.html
    about/tips.html
    about/tutorial.html
    about/plan.css
    DESTINATION ${DATA_INSTALL_DIR}/plan/about
)

=== plugins/CMakeLists.txt ===
if(MSVC OR (WIN32 AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif()


if (SHOULD_BUILD_PLUGIN_COLORENGINES)
    add_subdirectory( colorengines )
endif ()

if (SHOULD_BUILD_PLUGIN_MUSICSHAPE)
    add_subdirectory( musicshape )
endif ()

if (SHOULD_BUILD_PLUGIN_SPACENAVIGATOR)
    macro_optional_find_package(Spnav)
    macro_log_feature(SPNAV_FOUND "Spnav" "3Dconnexion device driver and SDK" "http://spacenav.sourceforge.net/" FALSE "" "Required by SpaceNavigator 3D mouse plugin") 
    if (SPNAV_FOUND)
        add_subdirectory( spacenavigator )
    endif ()
endif ()

if (SHOULD_BUILD_PLUGIN_ARTISTICTEXTSHAPE)
    add_subdirectory( artistictextshape )
endif ()

if (SHOULD_BUILD_PLUGIN_DOCKERS)
    add_subdirectory( dockers )
endif ()

if (SHOULD_BUILD_PLUGIN_TEXTEDITING)
    add_subdirectory( textediting )
endif()

add_subdirectory( kexi )

if (SHOULD_BUILD_PLUGIN_DEFAULTTOOLS)
    add_subdirectory( defaultTools )
endif ()

if (SHOULD_BUILD_PLUGIN_PATHSHAPES)
    add_subdirectory( pathshapes )
endif ()

if (SHOULD_BUILD_PLUGIN_VARIABLES)
    add_subdirectory( variables )
endif ()

if (SHOULD_BUILD_PLUGIN_CHARTSHAPE)
    add_subdirectory( chartshape )
endif ()

if (SHOULD_BUILD_PLUGIN_PICTURESHAPE)
    add_subdirectory( pictureshape )
endif ()

if (SHOULD_BUILD_PLUGIN_TEXTSHAPE)
    add_subdirectory( textshape )
endif()

if (SHOULD_BUILD_PLUGIN_PLUGINSHAPE)
    add_subdirectory( pluginshape )
endif ()

if (SHOULD_BUILD_PLUGIN_FORMULASHAPE)
    add_subdirectory( formulashape )
endif ()

if (SHOULD_BUILD_PLUGIN_VECTORSHAPE)
    # ??? old comment: as the vector shape depends on filters subdir (not really intuitive) lets allow disabling
    add_subdirectory( vectorshape )
endif ()

if (SHOULD_BUILD_PLUGIN_VIDEOSHAPE)
    add_subdirectory( videoshape )
endif ()

# only build the reporting plugins if building koreport
if(SHOULD_BUILD_PLUGIN_REPORTING)
    add_subdirectory( reporting )
endif()

if(SHOULD_BUILD_PLUGIN_SEMANTICITEMS)
    add_subdirectory( semanticitems )
endif()

#add_subdirectory( videoshape )
#add_subdirectory( commentshape )

add_subdirectory( staging )

=== sheets/CMakeLists.txt ===
project(calligra-sheets)

include_directories( ${CMAKE_SOURCE_DIR}/interfaces
                    ${KOMAIN_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${TEXTLAYOUT_INCLUDES}
                    ${Boost_INCLUDE_DIR}
                    ${EIGEN3_INCLUDE_DIR} )

if (SHOULD_BUILD_PART_SHEETS)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

#add_definitions(-DCALLIGRA_SHEETS_MT)

########### next target ###############
set (chart_DIR_SRCS
    chart/ChartDatabaseSelectorFactory.cpp
    chart/ChartDatabaseSelector.cpp
    chart/ChartDialog.cpp
    )

kde4_add_ui_files(chart_DIR_SRCS
    chart/ChartDatabaseSelector.ui
    )

set (commands_DIR_SRCS
    commands/AbstractRegionCommand.cpp
    commands/ApplyFilterCommand.cpp
    commands/AutoFillCommand.cpp
    commands/AutoFilterCommand.cpp
    commands/AutoFormatCommand.cpp
    commands/BorderColorCommand.cpp
    commands/CommentCommand.cpp
    commands/ConditionCommand.cpp
    commands/CopyCommand.cpp
    commands/CSVDataCommand.cpp
    commands/DataManipulators.cpp
    commands/DeleteCommand.cpp
    commands/IndentationCommand.cpp
    commands/LinkCommand.cpp
    commands/MergeCommand.cpp
    commands/NamedAreaCommand.cpp
    commands/PageBreakCommand.cpp
    commands/PasteCommand.cpp
    commands/PrecisionCommand.cpp
    commands/RowColumnManipulators.cpp
    commands/SheetCommands.cpp
    commands/SortManipulator.cpp
    commands/SpellCheckCommand.cpp
    commands/StyleCommand.cpp
    commands/ValidityCommand.cpp
    )

set (database_DIR_SRCS
    #database/Database.cpp
    #database/DatabaseManager.cpp
    database/DatabaseSource.cpp
    database/DatabaseSourceQuery.cpp
    database/DatabaseSourceSql.cpp
    database/DatabaseSourceTable.cpp
    #database/Filter.cpp
    database/FilterPopup.cpp
    )

set (dialogs_DIR_SRCS
    dialogs/AddNamedAreaDialog.cpp
    dialogs/AngleDialog.cpp
    dialogs/AutoFormatDialog.cpp
    dialogs/CharacterSelectDialog.cpp
    dialogs/CommentDialog.cpp
    dialogs/ConditionalDialog.cpp
    dialogs/ConsolidateDialog.cpp
    dialogs/CSVDialog.cpp
    dialogs/DatabaseDialog.cpp
    dialogs/DocumentSettingsDialog.cpp
    dialogs/FindDialog.cpp
    dialogs/FormulaDialog.cpp
    dialogs/GoalSeekDialog.cpp
    dialogs/GotoDialog.cpp
    dialogs/InsertDialog.cpp
    dialogs/LayoutDialog.cpp
    dialogs/LinkDialog.cpp
    dialogs/ListDialog.cpp
    dialogs/NamedAreaDialog.cpp
    dialogs/PasteInsertDialog.cpp
    dialogs/Resize2Dialog.cpp
    dialogs/SeriesDialog.cpp
    dialogs/ShowDialog.cpp
    dialogs/ShowColRowDialog.cpp
    dialogs/SortDialog.cpp
    dialogs/SpecialPasteDialog.cpp
    dialogs/StyleManagerDialog.cpp
    dialogs/SubtotalDialog.cpp
    dialogs/ValidityDialog.cpp
    dialogs/pivot.cpp
    dialogs/pivotfilters.cpp
    dialogs/pivotoptions.cpp
    dialogs/pivotmain.cpp

    )


kde4_add_ui_files(dialogs_DIR_SRCS
    dialogs/ConsolidateWidget.ui
    dialogs/ConsolidateDetailsWidget.ui
    dialogs/FontWidget.ui
    dialogs/GoalSeekWidget.ui
    dialogs/PositionWidget.ui
    dialogs/ProtectionWidget.ui
    dialogs/SpecialPasteWidget.ui
    dialogs/SortWidget.ui
    dialogs/SortDetailsWidget.ui
    dialogs/SubtotalWidget.ui
    dialogs/SubtotalsDetailsWidget.ui
    dialogs/pivot.ui
    dialogs/pivotfilters.ui
    dialogs/pivotoptions.ui
    dialogs/pivotmain.ui

    )

set (functions_DIR_SRCS
    functions/helper.cpp
    )

if(QT_QTDBUS_FOUND)
set (interfaces_DIR_SRCS
    interfaces/MapAdaptor.cpp
    interfaces/SheetAdaptor.cpp
    interfaces/ViewAdaptor.cpp
    )
endif()

set (part_DIR_SRCS
    part/CanvasBase.cpp
    part/Canvas.cpp
    part/CanvasItem.cpp
    part/CellTool.cpp
    part/CellToolFactory.cpp
    #part/Digest.cpp
    part/Doc.cpp
    part/Part.cpp
    part/Factory.cpp
    part/Find.cpp
    part/Headers.cpp
    part/HeaderWidgets.cpp
    part/HeaderItems.cpp
    part/PrintJob.cpp
    part/ToolRegistry.cpp
    part/TabBar.cpp
    part/View.cpp
    part/commands/DefinePrintRangeCommand.cpp
    part/commands/PageLayoutCommand.cpp
    part/dialogs/PageLayoutDialog.cpp
    part/dialogs/PreferenceDialog.cpp
    part/dialogs/SheetPropertiesDialog.cpp
    part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
    part/dialogs/FileOptionsWidget.ui
    part/dialogs/InterfaceOptionsWidget.ui
    part/dialogs/PageLayoutSheetPage.ui
    part/dialogs/SheetPropertiesWidget.ui
    part/dialogs/SheetSelectWidget.ui
)

set (ui_DIR_SRCS
    ui/AbstractSelectionStrategy.cpp
    ui/ActionOptionWidget.cpp
    ui/AutoFillStrategy.cpp
    ui/CellEditorBase.cpp
    ui/CellEditor.cpp
    ui/CellEditorDocker.cpp
    ui/CellToolBase.cpp
    ui/CellToolBase_p.cpp
    ui/CellView.cpp
    ui/DragAndDropStrategy.cpp
    ui/FormulaEditorHighlighter.cpp
    ui/FunctionCompletion.cpp
    ui/ExternalEditor.cpp
    ui/HyperlinkStrategy.cpp
    ui/LocationComboBox.cpp
    ui/MapViewModel.cpp
    ui/MergeStrategy.cpp
    ui/PasteStrategy.cpp
    ui/PixmapCachingSheetView.cpp
    ui/RegionSelector.cpp
    ui/RightToLeftPaintingStrategy.cpp
    ui/Selection.cpp
    ui/SelectionStrategy.cpp
    ui/SheetView.cpp
)

set (calligrasheetscommon_LIB_SRCS
    MapModel.cpp
    PageManager.cpp
    RegionModel.cpp
    tests/inspector.cpp
    ${chart_DIR_SRCS}
    ${commands_DIR_SRCS}
    ${database_DIR_SRCS}
    ${dialogs_DIR_SRCS}
    ${functions_DIR_SRCS}
    ${part_DIR_SRCS}
    ${ui_DIR_SRCS}
    )

if(QT_QTDBUS_FOUND)
set (calligrasheetscommon_LIB_SRCS
    ${calligrasheetscommon_LIB_SRCS}
    ${interfaces_DIR_SRCS}
    )
endif()

set (calligrasheetsodf_LIB_SRCS
    part/Digest.cpp
    ApplicationSettings.cpp
    Binding.cpp
    BindingManager.cpp
    CalculationSettings.cpp
    Cell.cpp
    CellStorage.cpp
    Cluster.cpp
    Condition.cpp
    Currency.cpp
    Damages.cpp
    DependencyManager.cpp
    DocBase.cpp
    Format.cpp
    Formula.cpp
    GenValidationStyle.cpp
    HeaderFooter.cpp
    Localization.cpp
    Map.cpp
    NamedAreaManager.cpp
    Number.cpp
    PrintSettings.cpp
    ProtectableObject.cpp
    RecalcManager.cpp
    RectStorage.cpp
    Region.cpp
    RowColumnFormat.cpp
    RowFormatStorage.cpp
    RowRepeatStorage.cpp
    ShapeApplicationData.cpp
    Sheet.cpp
    SheetAccessModel.cpp
    SheetModel.cpp
    Style.cpp
    StyleManager.cpp
    StyleStorage.cpp
    Util.cpp
    Validity.cpp
    Value.cpp
    ValueCalc.cpp
    ValueConverter.cpp
    ValueFormatter.cpp
    ValueParser.cpp

    database/Database.cpp
    database/DatabaseManager.cpp
    database/Filter.cpp

    # TODO: move the formula evaluation out of Formula.cpp so these files can move out of libcalligrasheetsodf
    Function.cpp
    FunctionDescription.cpp
    FunctionModule.cpp
    FunctionModuleRegistry.cpp
    FunctionRepository.cpp

    # TODO: move HeaderFooter from SheetPrint to PrintSettings, and replace SheetPrint with PrintSettings in Sheet to get rid of this dependency
    SheetPrint.cpp
    SheetPrint_p.cpp
    )


kde4_add_library(calligrasheetsodf SHARED ${calligrasheetsodf_LIB_SRCS})

target_link_libraries(calligrasheetsodf komain)
target_link_libraries(calligrasheetsodf LINK_INTERFACE_LIBRARIES komain)

set_target_properties(calligrasheetsodf PROPERTIES
   VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetsodf ${INSTALL_TARGETS_DEFAULT_ARGS})


kde4_add_library(calligrasheetscommon SHARED ${calligrasheetscommon_LIB_SRCS})

target_link_libraries(calligrasheetscommon
    komain
    calligrasheetsodf
    ${KDE4_KFILE_LIBS}
    ${QT_QTSQL_LIBRARY}
    ${KDE4_THREADWEAVER_LIBS}
)
if(QT_QTDBUS_FOUND)
    target_link_libraries(calligrasheetscommon ${KDE4_KNOTIFYCONFIG_LIBS} )
endif()

if(KDE4_KCMUTILS_LIBS)
    target_link_libraries(calligrasheetscommon ${KDE4_KCMUTILS_LIBS} )
else()
    target_link_libraries(calligrasheetscommon ${KDE4_KUTILS_LIBS} )
endif()

target_link_libraries(calligrasheetscommon LINK_INTERFACE_LIBRARIES komain calligrasheetsodf )

set_target_properties(calligrasheetscommon PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetscommon  ${INSTALL_TARGETS_DEFAULT_ARGS})
########### next target ###############

set (calligrasheetspart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(calligrasheetspart ${calligrasheetspart_PART_SRCS})



target_link_libraries(calligrasheetspart calligrasheetscommon )

install(TARGETS calligrasheetspart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES  sheets.rc sheets_readonly.rc DESTINATION ${DATA_INSTALL_DIR}/sheets)
install( FILES  ui/CellToolOptionWidgets.xml DESTINATION ${DATA_INSTALL_DIR}/sheets)
install( FILES  sheetspart.desktop DESTINATION ${SERVICES_INSTALL_DIR}/calligra)
install( FILES  sheets.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  sheets_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  sheets_viewplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  sheetsrc DESTINATION ${CONFIG_INSTALL_DIR})


install( FILES
    calligra_sheets_export.h
    calligra_sheets_limits.h

    Cell.h
    CellStorage.h
    Condition.h
    Currency.h
    DocBase.h
    Format.h
    Global.h
    Map.h
    Number.h
    OdfLoadingContext.h
    PointStorage.h
    PrintSettings.h
    ProtectableObject.h
    RectStorage.h
    Region.h
    RowColumnFormat.h
    RowFormatStorage.h
    RTree.h
    Sheet.h
    Style.h
    Value.h
    ValueCalc.h
    ValueConverter.h
    ValueStorage.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets COMPONENT Devel)
install( FILES
    part/CanvasBase.h
    part/CanvasItem.h
    part/CellTool.h
    part/Doc.h
    part/Part.h
    part/Find.h
    part/HeaderItems.h
    part/Headers.h
    part/ToolRegistry.h
    part/View.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets/part COMPONENT Devel)
install( FILES
    ui/CellToolBase.h
    ui/CellEditorBase.h
    ui/Selection.h
    ui/SheetView.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets/ui COMPONENT Devel)
install( FILES
    database/Database.h
    database/Filter.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets/database COMPONENT Devel)
install( FILES
    commands/AbstractRegionCommand.h
    commands/DataManipulators.h
    commands/SortManipulator.h
    dialogs/pivot.h
    dialogs/pivotfilters.h
    dialogs/pivotoptions.h
    dialogs/pivotmain.h

DESTINATION ${INCLUDE_INSTALL_DIR}/sheets/commands COMPONENT Devel)

endif ()

########### APP ###############

if (SHOULD_BUILD_APP_SHEETS)

set (calligrasheets_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(calligrasheets_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-calligrasheets.png")

kde4_add_kdeinit_executable( calligrasheets ${calligrasheets_KDEINIT_SRCS})

if (Q_WS_MAC)
set_target_properties(calligrasheets PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
set_target_properties(calligrasheets PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.sheets")
set_target_properties(calligrasheets PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Calligra Sheets 2")
endif ()

target_link_libraries(kdeinit_calligrasheets komain )

install(TARGETS kdeinit_calligrasheets  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( calligrasheets kdeinit_calligrasheets )
install(TARGETS calligrasheets  ${INSTALL_TARGETS_DEFAULT_ARGS})

install( PROGRAMS  sheets.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES sheets.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

endif ()

=== stage/CMakeLists.txt ===
project(calligra-stage)

include_directories(
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
)

if (SHOULD_BUILD_PART_STAGE)
    add_subdirectory( part )
    add_subdirectory( pics )
    add_subdirectory( templates )
    add_subdirectory( plugins )
    add_subdirectory( data )
    add_subdirectory( styles )
endif ()

if (SHOULD_BUILD_APP_STAGE)
    add_subdirectory( app )
endif ()

=== 3rdparty/google-breakpad/CMakeLists.txt ===
project(breakpad-client)
cmake_minimum_required(VERSION 2.6.0)

set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

message(STATUS ${CMAKE_SYSTEM_PROCESSOR})

include_directories(
	src/
)

set(SOURCES )

if (UNIX) 
	ADD_DEFINITIONS(-Wall)
	set(SOURCES ${SOURCES}
		src/client/minidump_file_writer.cc
		src/common/convert_UTF.c
		src/common/string_conversion.cc
	)
endif()

if (WIN32) 
	SET(SOURCES  ${SOURCES}
		src/common/windows/guid_string.cc
		src/client/windows/crash_generation/crash_generation_client.cc
		src/client/windows/crash_generation/client_info.cc
		src/client/windows/crash_generation/minidump_generator.cc
		src/client/windows/handler/exception_handler.cc
	   )
   	#ADD_DEFINITIONS(/Zc:wchar_t-) 	
	ADD_DEFINITIONS(/GL /D "WIN32" /D "WIN32_LEAN_AND_MEAN" /D "_UNICODE" /D "UNICODE" /EHsc )
	#INCLUDE_DIRECTORIES(c:/progra~1/micros~1.0/vc/atlmfc)
	SET(EXTRA_LIBS ole32)
endif ()

if (UNIX)
	if (APPLE) 
        include_directories(/Developer/Headers/FlatCarbon)
		FIND_LIBRARY(COCOA_LIBRARY COCOA)
		MARK_AS_ADVANCED(COCOA_LIBRARY)
		SET(EXTRA_LIBS crypto ${COCOA_LIBRARY})

		SET(SOURCES  ${SOURCES}
			src/client/mac/handler/breakpad_nlist_64.cc
			src/client/mac/handler/dynamic_images.cc
			src/client/mac/handler/exception_handler.cc
			src/client/mac/handler/minidump_generator.cc
			src/client/mac/handler/protected_memory_allocator.cc
			src/common/mac/dump_syms.mm
			src/common/mac/dwarf/bytereader.cc
			src/common/mac/dwarf/dwarf2reader.cc
			src/common/mac/dwarf/functioninfo.cc
			src/common/mac/file_id.cc
			src/common/mac/macho_id.cc
			src/common/mac/macho_utilities.cc
			src/common/mac/macho_walker.cc
			src/common/mac/string_utilities.cc
		)
	else ()
		SET(SOURCES  ${SOURCES}
			src/client/linux/handler/exception_handler.cc
			src/client/linux/handler/linux_thread.cc
			src/client/linux/handler/minidump_generator.cc
			src/common/linux/dump_symbols.cc
			src/common/linux/file_id.cc
			src/common/linux/guid_creator.cc
			src/common/linux/http_upload.cc
			src/common/md5.c
		   )
	endif ()
endif ()

add_library(breakpad ${SOURCES})

if(UNIX AND NOT APPLE)
	SET_TARGET_PROPERTIES( breakpad PROPERTIES COMPILE_FLAGS -fPIC)
endif()

target_link_libraries(breakpad ${EXTRA_LIBS}) 
install(TARGETS breakpad DESTINATION lib${LIB_SUFFIX})
install(DIRECTORY
    src/client
    src/common
    src/google_breakpad
    src/processor
DESTINATION include/breakpad)

=== braindump/plugins/CMakeLists.txt ===
if(QT_QTWEBKIT_FOUND)
  add_subdirectory(webshape)
endif()
add_subdirectory(stateshape)
add_subdirectory(drawingframe)
# add_subdirectory(quickstates)

=== debian/changelog ===
calligra (1:2.9.7-0ubuntu12) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:16:47 +0000

calligra (1:2.9.7-0ubuntu11) xenial; urgency=medium

  * Disable vc support everywhere, makes the package ICE and vc itself is
    FTBFS. Can bring back once this is fixed.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 11 Mar 2016 17:56:24 +0000

calligra (1:2.9.7-0ubuntu10) xenial; urgency=medium

  * No-change rebuild against new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 07 Mar 2016 16:23:18 +0000

calligra (1:2.9.7-0ubuntu9) xenial; urgency=medium

  * No-change rebuild against libqca2

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Jan 2016 17:11:41 +0000

calligra (1:2.9.7-0ubuntu8) xenial; urgency=high

  * Drop vc-dev dependency on vc-dev too.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 21:25:34 +0000

calligra (1:2.9.7-0ubuntu7) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 13:40:58 -0500

calligra (1:2.9.7-0ubuntu6) xenial; urgency=medium

  * No-change rebuild against libpoppler57

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 23 Nov 2015 11:56:24 +1300

calligra (1:2.9.7-0ubuntu5) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:04:00 +0000

calligra (1:2.9.7-0ubuntu4) xenial; urgency=medium

  * No-change rebuild against libpoppler56

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 18:06:03 +0000

calligra (1:2.9.7-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libetonyek-0.1-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Sep 2015 08:54:27 +0000

calligra (1:2.9.7-0ubuntu2) wily; urgency=medium

  * Remove pqxx kexi driver files, accidently added

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 13 Sep 2015 00:03:00 +0100

calligra (1:2.9.7-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Sep 2015 11:05:20 +0000

calligra (1:2.9.6-0ubuntu6) wily; urgency=medium

  * Remove build-dep on libmarble-dev, marble is now KF5 and remove
    kexi-map-form-widget and calligra-reports-map-element

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Aug 2015 16:59:19 +0100

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
           Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cauchy-dev,
               cmake (>= 2.6.2),
               debhelper (>= 9),
               freetds-dev,
               kdelibs5-dev (>= 4:4.4.0),
               kdepimlibs5-dev (>= 4:4.4.3),
               libattica-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libexiv2-dev,
               libfftw3-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglew-dev [!armel !armhf !arm64],
               libglib2.0-dev,
               libgsl-dev,
               libicu-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkdcraw-dev (>= 4:4.4.3),
               liblcms2-dev,
               libmysqlclient-dev,
               libodfgen-dev,
               libopencolorio-dev [!armhf],
               libopenexr-dev,
               libopenjpeg-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpoppler-qt4-dev,
               libpq-dev,
               libpqxx3-dev,
               libqca2-dev,
               libqt4-dev,
               libqt4-opengl-dev [!armhf],
               libqtwebkit-dev,
               libsoprano-dev,
               libspnav-dev,
               libsqlite3-dev,
               libtiff-dev,
               libvisio-dev,
               libwpd-dev (>= 0.9.1),
               libwpg-dev (>= 0.2.0),
               libwps-dev,
               libxbase64-dev,
               libxi-dev,
               okular-dev (>= 4:4.12.90),
               pkg-kde-tools (>= 0.9),
               pstoedit,
               shared-desktop-ontologies,
               shared-mime-info,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: braindump (>= ${source:Version}),
         calligraauthor (>= ${source:Version}),
         calligraflow (>= ${source:Version}),
         calligraplan (>= ${source:Version}),
         calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         kexi (>= ${source:Version}),
         krita (>= ${source:Version}),
         ${misc:Depends}
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-calligrasheets-driver,
          kexi-mysql-driver,
          kexi-sybase-driver,
          kexi-xbase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         kexi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sheets plugin for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Sheets in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         krita-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Breaks: calligra-libs (<< 1:2.8.1), krita-data (<< 1:2.8.1)
Replaces: calligra-libs (<< 1:2.8.1), krita-data (<< 1:2.8.1)
Homepage: http://www.calligra-suite.org/krita/
Description: pixel-based image manipulation program for the Calligra Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.
 .
 This package is part of the Calligra Suite.

Package: krita-data

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DPRODUCTSET=ALL

override_dh_install:
	dh_movelibkdeinit
	dh_install --list-missing
	#lut and open gl are !arm, this needs made more eloquent
ifeq ($(DEB_HOST_ARCH),i386)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/calligra/krita_lutdocker.desktop
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/calligra/krita_lutdocker.desktop
endif

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test
